XSetWMProtocols(3X11)

NAME
XSetWMProtocols, XGetWMProtocols - set or read a window's WM_PROTOCOLS property

SYNTAX

Status XSetWMProtocols(Display *display, Window w, Atom *protocols, int count);

Status XGetWMProtocols(Display *display, Window w, Atom **protocols_return, int *count_return);

ARGUMENTS

display
    Specifies the connection to the X server.

count
    Specifies the number of protocols in the list.

count_return
    Returns the number of protocols in the list.

protocols
    Specifies the list of protocols.

protocols_return
    Returns the list of protocols.

DESCRIPTION
The function replaces the WM_PROTOCOLS property on the specified window with the list of atoms specified by the protocols argument. If the property does not already exist, sets the WM_PROTOCOLS property on the specified window to the list of atoms specified by the protocols argument. The property is stored with a type of ATOM and a format of 32. If it cannot intern the WM_PROTOCOLS atom, returns a zero status. Otherwise, it returns a nonzero status.

can generate and errors.

The function returns the list of atoms stored in the WM_PROTOCOLS property on the specified window. These atoms describe window manager protocols in which the owner of this window is willing to participate. If the property exists, is of type ATOM, is of format 32, and the atom WM_PROTOCOLS can be interned, sets the protocols_return argument to a list of atoms, sets the count_return argument to the number of elements in the list, and returns a nonzero status. Otherwise, it sets neither of the return arguments and returns a zero status. To release the list of atoms, use

can generate a error.

PROPERTIES

WM_PROTOCOLS
    List of atoms that identify the communications protocols between the client and window manager in which the client is willing to participate.

DIAGNOSTICS

The server failed to allocate the requested resource or server memory.

A value for a Window argument does not name a defined Window.

SEE ALSO
XAllocClassHint(3X11), XAllocIconSize(3X11), XAllocSizeHints(3X11), XAllocWMHints(3X11), XFree(3X11), XSetCommand(3X11), XSetTransientForHint(3X11), XSetTextProperty(3X11), XSetWMClientMachine(3X11), XSetWMColormapWindows(3X11), XSetWMIconName(3X11), XSetWMName(3X11), XSetWMProperties(3X11), XStringListToTextProperty(3X11)
Xlib - C Language X Interface